if [ ! -d /etc/digi ]
then
	echo "\nYou must install MPI 2.9.1 before installing this driver patch.\n"
	exit 1
fi
RELINK=0
if uname -r |grep MP 1>/dev/null; \
then \
	PINFO=`pkginfo -v 2.9.1` ; \
	set PINFO=${PINFO:=mpi}
	if [ "$PINFO" = "mpi" ] ; \
	then \
		echo "\nYou must have MPI 2.9.1 installed before installing this driver patch.\n"
		exit 1 ; \
	fi
	if [ -d /etc/digi/epca ] ; \
	then \
		echo copying Driver.o.42MP to /etc/digi/epca/Driver.o ; \
		cp Driver.o.42MP /etc/digi/epca/Driver.o ; \
	fi
	if [ -d /etc/conf/pack.d/epca ] ; \
	then \
		echo copying Driver.o.42MP to /etc/conf/pack.d/epca/Driver.o ; \
		cp Driver.o.42MP /etc/conf/pack.d/epca/Driver.o ; \
		RELINK=1 ; \
	fi
else \
	if uname -r |grep 3.2 1>/dev/null; \
	then \
		if cat /etc/perms/mpi |grep 2.9.1 1>/dev/null ; \
		then \
			echo "\n" ; \
		else \
			echo "\nYou must have MPI 2.9.1 installed before installing this driver patch.\n"
			exit 1 ; \
		fi

		if [ -d /etc/digi/epca ] ; \
		then \
			echo copying Driver.o.sco to /etc/digi/epca/Driver.o ; \
			cp Driver.o.sco /etc/digi/epca/Driver.o ; \
		fi
		if [ -d /etc/conf/pack.d/epca ] ; \
		then \
			echo copying Driver.o.sco to /etc/conf/pack.d/epca/Driver.o ; \
			cp Driver.o.sco /etc/conf/pack.d/epca/Driver.o ; \
			RELINK=1 ; \
		fi
		

	else \
		PINFO=`pkginfo -v 2.9.1` ; \
		set PINFO=${PINFO:=mpi}
		if [ "$PINFO" = "mpi" ] ; \
		then \
			echo "\nYou must have MPI 2.9.1 installed before installing this driver patch.\n"
			exit 1 ; \
		fi
		if [ -d /etc/digi/epca ] ; \
		then \
			echo "copying Driver.o.42 to /etc/digi/epca/Driver.o" ; \
			cp Driver.o.42 /etc/digi/epca/Driver.o ; \
		fi
		if [ -d /etc/conf/pack.d/epca ] ; \
		then \
			echo "copying Driver.o.42 to /etc/conf/pack.d/epca/Driver.o" ; \
			cp Driver.o.42 /etc/conf/pack.d/epca/Driver.o ; \
			RELINK=1 ; \
		fi
	fi
fi
if [ "$RELINK" -eq 1 ]
then
	echo "\nYou must relink the kernel and reboot to activate the new driver.\n"
else
	echo "\nRun MPI to configure your hardware.\n"
fi
	exit
